Zydis: include/Zydis/Internal/FormatterATT.h File Reference

Zydis v4.1.0

Loading...
Searching...
No Matches
Functions
FormatterATT.h File Reference

Implements the `AT&T` style instruction-formatter. More...

`#include <Zydis/Formatter.h>`
`#include <Zydis/Internal/FormatterBase.h>`
`#include <Zydis/Internal/String.h>`

Go to the source code of this file.

## Functions
ZyanStatus | ZydisFormatterATTFormatInstruction (const ZydisFormatter *formatter, ZydisFormatterBuffer *buffer, ZydisFormatterContext *context)
ZyanStatus | ZydisFormatterATTFormatOperandMEM (const ZydisFormatter *formatter, ZydisFormatterBuffer *buffer, ZydisFormatterContext *context)
ZyanStatus | ZydisFormatterATTPrintMnemonic (const ZydisFormatter *formatter, ZydisFormatterBuffer *buffer, ZydisFormatterContext *context)
ZyanStatus | ZydisFormatterATTPrintRegister (const ZydisFormatter *formatter, ZydisFormatterBuffer *buffer, ZydisFormatterContext *context, ZydisRegister reg)
ZyanStatus | ZydisFormatterATTPrintAddressABS (const ZydisFormatter *formatter, ZydisFormatterBuffer *buffer, ZydisFormatterContext *context)
ZyanStatus | ZydisFormatterATTPrintDISP (const ZydisFormatter *formatter, ZydisFormatterBuffer *buffer, ZydisFormatterContext *context)
ZyanStatus | ZydisFormatterATTPrintIMM (const ZydisFormatter *formatter, ZydisFormatterBuffer *buffer, ZydisFormatterContext *context)

## Detailed Description

Implements the `AT&T` style instruction-formatter.

## Function Documentation

## ◆ ZydisFormatterATTFormatInstruction()

ZyanStatus ZydisFormatterATTFormatInstruction | ( | const ZydisFormatter * | formatter,
|  | ZydisFormatterBuffer * | buffer,
|  | ZydisFormatterContext * | context )

## ◆ ZydisFormatterATTFormatOperandMEM()

ZyanStatus ZydisFormatterATTFormatOperandMEM | ( | const ZydisFormatter * | formatter,
|  | ZydisFormatterBuffer * | buffer,
|  | ZydisFormatterContext * | context )

## ◆ ZydisFormatterATTPrintAddressABS()

ZyanStatus ZydisFormatterATTPrintAddressABS | ( | const ZydisFormatter * | formatter,
|  | ZydisFormatterBuffer * | buffer,
|  | ZydisFormatterContext * | context )

## ◆ ZydisFormatterATTPrintDISP()

ZyanStatus ZydisFormatterATTPrintDISP | ( | const ZydisFormatter * | formatter,
|  | ZydisFormatterBuffer * | buffer,
|  | ZydisFormatterContext * | context )

## ◆ ZydisFormatterATTPrintIMM()

ZyanStatus ZydisFormatterATTPrintIMM | ( | const ZydisFormatter * | formatter,
|  | ZydisFormatterBuffer * | buffer,
|  | ZydisFormatterContext * | context )

## ◆ ZydisFormatterATTPrintMnemonic()

ZyanStatus ZydisFormatterATTPrintMnemonic | ( | const ZydisFormatter * | formatter,
|  | ZydisFormatterBuffer * | buffer,
|  | ZydisFormatterContext * | context )

## ◆ ZydisFormatterATTPrintRegister()

ZyanStatus ZydisFormatterATTPrintRegister | ( | const ZydisFormatter * | formatter,
|  | ZydisFormatterBuffer * | buffer,
|  | ZydisFormatterContext * | context,
|  | ZydisRegister | reg )